﻿@model Schedule.Application.ViewModel.Agenda.Conflito.GestaoConflitoViewModel

@{
    ViewData["Title"] = "Novo";
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <h4 class="text-danger">Gestão de Conflitos</h4>
        </div>
    </div>
</div>
<hr />

<div class="container-fluid">
    @if (Model != null)
    {
        @Html.Hidden("dataInicial", Model.DataInicial)
        @Html.Hidden("dataFinal", Model.DataFinal)
        @Html.Hidden("UsuarioId", Model.UsuarioId)
    }

    <div class="row">
        <div class="col-md-3">
            <div class="form-group">
                <label class="control-label"> Consultor:</label>
                <input readonly="readonly" class="font-weight-bold form-control form-control-sm" value="@Model.ConsultorNome" />
            </div>
        </div>
        <div class="col-md-3">
            <div class="form-group">
                <label class="control-label"> Email:</label>
                <input readonly="readonly" class="font-weight-bold form-control form-control-sm" value="@Model.EmailConsultor" />
            </div>
        </div>
        <div class="col-md-3">
            <div class="form-group">
                <label class="control-label">Telefone Contato:</label>
                <input readonly="readonly" class="font-weight-bold form-control form-control-sm" value="@Model.TelefoneConsultor" />
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-3">
            <div class="form-group">
                <label class="control-label"> Gestor :</label>
                <input readonly="readonly" class="font-weight-bold form-control form-control-sm" value="@Model.GestorImediato" />
            </div>
        </div>
        <div class="col-md-3">
            <div class="form-group">
                <label class="control-label"> Email(Gestor):</label>
                <input readonly="readonly" class="font-weight-bold form-control form-control-sm" value="@Model.EmailGestorImediato" />
            </div>
        </div>
        <div class="col-md-3">
            <div class="form-group">
                <label class="control-label">Telefone Contato(Gestor):</label>
                <input readonly="readonly" class="font-weight-bold form-control form-control-sm" value="@Model.TelefoneGestorImediato" />
            </div>
        </div>
        <div class="col-md-3">
            <div class="form-group">
                <br />

                <button class="btn btn-danger" id="btnEliminarConflitos">Excluir Conflitos</button>
                <a class="btn btn-primary" href="/GestaoAgenda/ListaConflitos">Voltar</a>

            </div>
        </div>

    </div>
    <div class="row">
        <div class="form-group col-sm-10">
            <div id="DivValidacao" class="border-bottom-dark h5 text-center font-weight-bold text-danger">

            </div>
        </div>
    </div>
    <br />
    <br />
    <div class="row">
        <div class="col-md-9">
            <table id="TabelaResolverConflitos" class="table  table-bordered tabelaListaSchedule">
                <thead>
                    <tr>
                        <th class="text-center bg-secondary text-white">
                            Périodo
                        </th>
                        <th class=" text-center bg-secondary text-white">
                            Centro de Custo
                        </th>
                        <th class=" text-center bg-secondary text-white">
                            Criado por
                        </th>
                        <th class="text-center bg-secondary text-white">
                            Data de Criação Agenda
                        </th>
                        <th class="bg-secondary dt-center"><input type="checkbox" id="SelecionarTodos" /></th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model.Conflitos)
                    {
                        <tr>
                            <td class="bg-light text-danger text-center" colspan="5">
                                <b>   @item.Data.ToString("dd/MM/yyyy")</b>
                            </td>
                        </tr>
                        @foreach (var agenda in item.AgendaConflitos)
                        {
                            <tr class="border-bottom-danger">
                                <th class="text-center">
                                    @agenda.Periodo
                                </th>
                                <th class="text-center">
                                    @agenda.CentroCusto
                                </th>
                                <th class="text-center">
                                    @agenda.UsuarioCriacao
                                </th>
                                <th class="text-center">
                                    @agenda.DataAlteracao
                                </th>
                                <th class="AgendaId" style="display:none">
                                    @agenda.id
                                </th>
                                <th> <input type="checkbox" class="checkboxConflito" /></th>
                            </tr>
                        }
                        <tr>
                            <th class="bg-secondary" colspan="5">
                            </th>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>

</div>
<div class="modal modal-backdrop" id="idloading">
    <div class="modal-dialog modal-dialog-centered modal-sm">
        <div class="modal-content">
            <div class="modal-body bg-white">
                <div class="text-center bg-white">
                    <span class="text-danger"><strong>Processando.............</strong></span>
                    <div class="spinner-border text-danger" role="status">
                        <span class="sr-only">Loading.........</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/GestaoAgenda.js")"></script>
